<?php
    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }


if(isset($_POST['saveattachmentsettings'])) {
     // wp_die( __('<pre>'.print_r($_POST, true).'</pre>' ));
    update_option('attachment_rowcolor1', $_POST['attachment_rowcolor1']);
    update_option('attachment_rowcolor2', $_POST['attachment_rowcolor2']);
    update_option('attachment_showfilesize_check', $_POST['attachment_showfilesize_check']);
    update_option('attachment_showfilecaption_check', $_POST['attachment_showfilecaption_check']);
    update_option('attachment_showlistingcount_check', $_POST['attachment_showlistingcount_check']);
    update_option('attachment_boldfilesize_check', $_POST['attachment_boldfilesize_check']);
}


$attachment_showfilesize_check = get_option('attachment_showfilesize_check', true);
$attachment_boldfilesize_check = get_option('attachment_boldfilesize_check', true);
$attachment_showfilecaption_check = get_option('attachment_showfilecaption_check', true);
$attachment_showlistingcount_check = get_option('attachment_showlistingcount_check', true);
$attachment_rowcolor1 = get_option('attachment_rowcolor1', '#fdfcc9');
$attachment_rowcolor2 = get_option('attachment_rowcolor2', '#faf99e');


?>
 <style type="text/css" media="screen">
.colorwell {
    border: 2px solid #fff;
    width: 6em;
    text-align: center;
    cursor: pointer;
}
body .colorwell-selected {
    border: 2px solid #000;
    font-weight: bold;
}
   

   
   
 </style>
<div class="wrap">
    <div id="icon-options-general" class="icon32"><br /></div>
     <h2>Easy Attachments Options</h2>
    
    <form action="" method="post">
    <table border=0>
    <tr><td>
        <div id="farbtasticpicker" ></div>
        <div style="width:300px;">
        <div class="form-item"><label for="attachment_rowcolor1">Row Highlight 1:</label><input type="text" id="attachment_rowcolor1" name="attachment_rowcolor1" class="colorwell" value="<?php echo $attachment_rowcolor1;?>" /></div>
        <div class="form-item"><label for="attachment_rowcolor2">Row Highlight 2:</label><input type="text" id="attachment_rowcolor2" name="attachment_rowcolor2" class="colorwell" value="<?php echo $attachment_rowcolor2;?>" /></div>
        </td>
        <td>
            <br><input id="showfilesize" name="attachment_showfilesize_check" type="checkbox"
                       <?php
                        if($attachment_showfilesize_check == "on" || $attachment_showfilesize_check == "true" || $attachment_showfilesize_check == "checked")
                        {
                            echo 'checked="checked"';
                        }?>> Show file size.

            <br><input id="boldfilesize" name="attachment_boldfilesize_check"  type="checkbox"
                       <?php
                        if($attachment_boldfilesize_check == "on" || $attachment_boldfilesize_check == "true" || $attachment_boldfilesize_check == "checked")
                        {
                            echo 'checked="checked"';
                        }?>> Bold file size.

            <br><input  id="showfilecaption" name="attachment_showfilecaption_check"  type="checkbox" 
                       <?php
                        if($attachment_showfilecaption_check == "on" || $attachment_showfilecaption_check == "true" || $attachment_showfilecaption_check == "checked")
                        {
                            echo 'checked="checked"';
                        }?>> Show caption.

            <br><input  id="showlistingcount" name="attachment_showlistingcount_check"  type="checkbox" 
                       <?php
                        if($attachment_showlistingcount_check == "on" || $attachment_showlistingcount_check == "true" || $attachment_showlistingcount_check == "checked")
                        {
                            echo 'checked="checked"';
                        }?>> Show attachment count in listings.

            <br>
            <br><input type="submit" name="saveattachmentsettings" value="Save Settings">
        </td>
    </tr>
    </table>
    </form>
 </div>
<hr>
<h2>Example</h2> <h3>(See a live page for view with your theme.)</h3>

<input type="hidden" id="onattachmentsexamplepage" value="true">

<div id="attachments" style="width:400px;">
<p></p><h4>Attachments</h4><a name="attachments"></a>
<ol>
 <li class="attachmentcolor1"><p><a href="#">Title for Attachment 1</a> <span class="attachmentsize">(2.19 MiB)</span>
    <span class="attachmentcaption"><br>This is a caption for attachment 1.</span>
    </p>
 </li>
 <li class="attachmentcolor2"><p><a href="#">Another Attachment title</a> <span class="attachmentsize">(417 KiB)</span>
    <span class="attachmentcaption"><br>This is a caption for attachment 2.</span>
    </p>
 </li>
 <li class="attachmentcolor1"><p><a href="#">Some Other Attachment</a><span class="attachmentsize"> (4.5 MiB)</span>
    <span class="attachmentcaption"><br>This is a caption for attachment 3.</span>
    </p>
 </li>
</ol>
</div>
 
</div>